import { Tag } from "../tag/tag";
export declare class Exchange {
    amount: number;
    currency: string;
    original: boolean | undefined;
    constructor(amount: number, currency: string);
    setOriginal: () => void;
}
export declare class FinancialEntry {
    date: Date;
    identifier: string;
    keys: Array<string>;
    tag: Tag;
    exchanges: Array<Exchange>;
    constructor();
    getOriginalExchange(): Exchange;
    cloneFilteredExchange(currency: string | undefined): FinancialEntry;
}
export declare class ProfitabilityWithtemporary {
    entries: Array<FinancialEntry>;
    verified: boolean;
    constructor();
}
export declare class ProfitabilityWithTemporaryList {
    result: Record<string, ProfitabilityWithtemporary>;
    constructor();
    get(identifier: string): ProfitabilityWithtemporary;
    set(identifier: string, res: ProfitabilityWithtemporary): void;
}
